using System.Threading.Tasks;
using Knoks.Core.Entities;
using System.Collections.Generic;
using Knoks.Core.Entities.Args;

namespace Knoks.Core.Logic.Interfaces
{
    public interface IOperatorManager
    {
        Task<Operator> CreateOperator(CreateOperatorArgs args);
        Task<IEnumerable<Operator>> GetOperators(int? operatorId);
        Task<Operator> AuthenticateOperator(int apiConsumerId, string operatorUsername, string operatorPassword);
    }
}